"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
const fs = require("fs");
const path = require("path");
// export const findProjectRoot = (options?: { cwd?: boolean }): string => {
//   return path.dirname(
//     findPackage(
//       options?.cwd
//         ? process.cwd()
//         : path.dirname(
//             require.main?.filename ||
//               process.mainModule?.filename ||
//               path.resolve(process.argv[1], "package.json") ||
//               path.resolve(process.cwd(), "package.json")
//           )
//     )
//   );
// };
exports.locateProjectRoot = () => {
    return path.dirname(exports.findPackage(process.cwd()));
};
exports.findPackage = (dir) => {
    if (fs.existsSync(path.resolve(dir, "package.json"))) {
        return path.resolve(dir, "package.json");
    }
    else if (path.relative(dir, os.platform() == "win32" ? process.cwd().split(path.sep)[0] : "/") !== "") {
        return exports.findPackage(path.resolve(dir, ".."));
    }
};
//# sourceMappingURL=package.js.map