import Command from "../command";
export interface FlagParserResult {
    command: new () => Command;
    flags: {
        [name: string]: any;
    };
    globals: {
        [name: string]: any;
    };
    args: string[];
}
export declare function parse(command: typeof Command, argv: string[]): FlagParserResult;
