"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function handle(err) {
    try {
        if (!err)
            err = new Error("no error?");
        if (err.message === "SIGINT")
            process.exit(1);
        const exitCode = err.exit !== undefined ? err.exit : 1;
        if (err.code !== "EEXIT") {
            console.log(err);
            process.exit(exitCode);
        }
        else
            process.exit(exitCode);
    }
    catch (error) {
        console.error(error);
        process.exit(1);
    }
}
exports.handle = handle;
//# sourceMappingURL=handle.js.map